
Player = {
  x = 50,
  y = 50, 
  velX = 0,
  velY = 0,
  width = 7,
  height = 7,
  rgba = {54,125,255,255},
  
  update = function(self,dt) 
    local dx = (camera:screenToWorldX(Game.mouseX) - self.x)
    local dy = (camera:screenToWorldY(Game.mouseY) - self.y)
    
    if(math.floor(dx) ~= 0 and math.floor(dy) ~= 0) then
      Particle[#Particle + 1] = Particle.new(self.x,self.y,0,0,4,4,self.rgba,.2);
    end
    
    Particle[#Particle + 1] = Particle.new(math.random(camera.x,camera.x+Game.width),math.random(camera.y,camera.y+Game.height),0,0,4,4,Color.White,1);
   
    self.velX = dx * 1/15
    self.velY = dy * 1/15
    
    
    self.x = self.x + self.velX
    self.y = self.y + self.velY
  end,

  draw = function(self) 
    love.graphics.setColor(self.rgba[1],self.rgba[2],self.rgba[3],self.rgba[4])
    love.graphics.circle("fill",self.x,self.y,self.width,self.height);
    Game.r()
  end
}