
Game = {
  width = love.graphics.getWidth(),
  height = love.graphics.getHeight(),
  mouseX = love.mouse.getX(),
  mouseY = love.mouse.getY(),
}

function Game.load()
  require('Loader');
  Loader:load()
end

function Game.update(self,dt)
  self.mouseX = love.mouse.getX()
  self.mouseY = love.mouse.getY()
  love.window.setTitle(love.timer.getFPS())
  World:update(dt)
end

function Game.draw()
  World:draw()
end

function Game.r()
  love.graphics.setColor(255,255,255,255)
end

function Game.quit()
  love.event.quit()
end