
Particle = {}

Particle.__index = Particle

function Particle.new(x,y,velX,velY,w,h,rgba,life)
  local self = {}
  
  a = Color.White
  self.rgba = {rgba or a}
  
  self.x = x or 0
  self.w = w or 3
  self.h = h or 3
  self.y = y or 0
  self.velX = velX or 0
  self.velY = velY or 0
  self.life = life or .2
  
  self.timer = 0
  self.remove = false
  
  self.die = function() self.remove = true end
 
  return setmetatable(self,Particle)
end

function Particle.update(self,dt)
  
  self.timer = self.timer + dt
  
  self.x = self.x + self.velX
  self.y = self.y + self.velY
  
  if(self.timer >= self.life)then
    self:die()
  end
end

function Particle.draw(self)
  love.graphics.setColor(self.rgba[1],self.rgba[2],self.rgba[3],self.rgba[4])
  love.graphics.circle("fill",self.x,self.y,self.w,self.h)
  Game.r()
end