
World = {}

function World.load()
  camera:newLayer(1,Player:draw())
  camera:newLayer(1, function()
    for _,v in ipairs(Particle) do v:draw() end
    end)
end

function World.update(self,dt)
  for i = #Particle, 1, -1 do if Particle[i].remove then table.remove(Particle, i) end end 
  for _,v in ipairs(Particle) do v:update(dt) end
  Player:update(dt)
  camera:setPosition(Player.x-Game.width/2,Player.y-Game.height/2)
end

function World.draw()
  camera:draw()
end